org.apache.mina.integration.jmx

## Class IoFilterMBean

- java.lang.Object
- - org.apache.mina.integration.jmx.ObjectMBean<IoFilter>
  - - org.apache.mina.integration.jmx.IoFilterMBean

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, ModelMBean, ModelMBeanNotificationBroadcaster, NotificationBroadcaster, PersistentMBean

      public class IoFilterMBean
      extends ObjectMBean<IoFilter>

  A JMX MBean wrapper for an `IoSession`.
  Author:
    Apache MINA Project

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.integration.jmx.ObjectMBean

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoFilterMBean(IoFilter source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isOperation(String methodName, Class<?>[] paramTypes)`

    - ### Methods inherited from class org.apache.mina.integration.jmx.ObjectMBean

      `addAttributeChangeNotificationListener, addExtraAttributes, addExtraOperations, addNotificationListener, getAttribute, getAttribute0, getAttributes, getElementType, getMapKeyType, getMapValueType, getMBeanInfo, getName, getNotificationInfo, getPropertyEditor, getServer, getSource, getSource, invoke, invoke0, isExpandable, isReadable, isWritable, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttribute0, setAttributes, setManagedResource, setModelMBeanInfo, store, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IoFilterMBean

          public IoFilterMBean(IoFilter source)

  - ### Method Detail

    - #### isOperation

          protected boolean isOperation(String methodName,
                            Class<?>[] paramTypes)

      Overrides:
        `isOperation` in class `ObjectMBean<IoFilter>`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.